Sky3DS news?

Discussion in '3DS - Flashcards & Custom Firmwares' started by sawada91, Sep 9, 2015.

  1. sawada91
    OP

    sawada91 Member

    Newcomer
    35
    9
    Jun 22, 2012
    Belgium
    Some time ago I read that Sky3DS isn't able to support new games. Are there any news? Did they fix this problem? I have a 9.4 FW, so Sky3DS is my only choice.
     


  2. duwen

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    So far, only the Japanese releases of Fire Emblem iF and Animal Crossing Happy Home Designer use the new anti-piracy.
    And as yet there's no fix for Sky.
     
  3. sawada91
    OP

    sawada91 Member

    Newcomer
    35
    9
    Jun 22, 2012
    Belgium
    And did they fix this problem?
     
  4. NicEXE

    NicEXE GBAtemp Fan

    Member
    397
    124
    Dec 6, 2009
    Cyprus
    iirc you cannot upgrade the firmware of Sky3DS so I guess you have to wait for a new Sky3DS with a new button color.
     
  5. duwen

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    I'm not going to speculate as to whether they can fix it, will fix it, if that fix will be a new itteration of flashcart, or an update to diskwriter... the fact is, if you're on firmware greater than 9.2, Sky3ds is still your only option.
     
    lemanuel likes this.
  6. duwen

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    That's not an update to the Sky card, and definitely not a fix for the AP... that's an update to the template... which they do at least once every 10 days or so - sometimes every day depending on how many update submissions they receive.
     
    Last edited by duwen, Sep 9, 2015
  7. sawada91
    OP

    sawada91 Member

    Newcomer
    35
    9
    Jun 22, 2012
    Belgium
    Didn't the team say anything yet?
     
  8. nervx

    nervx GBAtemp Fan

    Member
    308
    45
    May 29, 2006
    Canada
    no still working on it as of last week.

    some people assumed it cant be upgraded due to the logo info on the chip but it was proven to be false information. no one knows if it can be updated or not.
     
  9. Clothahump

    Clothahump Advanced Member

    Newcomer
    71
    29
    Aug 28, 2015
    These two are somewhat contradictory. Or I'm stupid.
     
    Last edited by Clothahump, Sep 9, 2015
    insidexdeath likes this.
  10. duwen

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    How's that contradictory?
     
  11. Clothahump

    Clothahump Advanced Member

    Newcomer
    71
    29
    Aug 28, 2015
    I just read it like "it can't be upgraded" was "proven to be false" instead of "some people assumed" was "proven to be false".
     
    Last edited by Clothahump, Sep 9, 2015
  12. NicEXE

    NicEXE GBAtemp Fan

    Member
    397
    124
    Dec 6, 2009
    Cyprus
    Why would they release a new flash card with a new button-color if the old ones can just be upgraded? Maybe because they want to sell more. If they want to sell even more, they won't upgrade the old cards and they will sell new ones.
     
  13. xBleedingSoulx

    xBleedingSoulx GBAtemp Advanced Fan

    Member
    513
    286
    Sep 20, 2007
    United Kingdom
    Barnsley, England
    "some people assumed it cant be upgraded due to the logo info on the chip but it was proven to be false information." - If people who assumed it can't be upgraded were proven wrong, that means it can be upgraded?

    "no one knows if it can be updated or not" - Then he says nobody knows if it can be upgraded.

    That is the definition of a contradiction.
     
    Sammy_Lee and Clothahump like this.
  14. duwen

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    No. It means the assumption was based on something that was false - they weren't proven wrong, they were basing their facts on false information... but that doesn't equate to it being upgradeable/not upgradeable... as he said, no one knows.
     
  15. Clothahump

    Clothahump Advanced Member

    Newcomer
    71
    29
    Aug 28, 2015
    This makes total sense actually. Thanks for clarifying.
     
  16. nervx

    nervx GBAtemp Fan

    Member
    308
    45
    May 29, 2006
    Canada
    i don't think they could pull off a stunt like that again, their user base is too large now and doing so would burn the good will they've built up.
    i think the reason they've avoided firmware updates so far is because releasing it would make it easier for clones to exist(there are none right now) which would have eaten their sales early on. now that they have a large user base to recommend sky3ds to others it should less of a concern.
     
  17. reiyu

    reiyu Canadian, eh?

    Member
    861
    187
    Jan 8, 2008
    Canada
    Super Robot Wars BX doesn't seem to work for me too with Sky3DS. Can someone confirm if this is the 3rd game that uses this protection?
     
  18. duwen

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    I've not tried it myself, but I'd say it's highly unlikely that it uses the same anti-piracy as the other 2 games. My reasoning for this being that there's been no mention anywhere else of a third game being affected - and it's a third party game; so far only releases direct from Nintendo have been subject to the new AP... but I'll see if I can test it myself over the next few days, as I don't like to pass on speculation.
     
  19. reiyu

    reiyu Canadian, eh?

    Member
    861
    187
    Jan 8, 2008
    Canada
    either i did a bad rip or it's really not working. please do confirm though. thanks!
     
  20. dsrules

    dsrules GBAtemp Psycho!

    Member
    3,658
    508
    Sep 20, 2005
    I only saw people said can play, didn't see any complains